function FaleConoscoController(ScreenService, MessageService, General){
    this.onEnter = function(widget){
        widget.newRow();
    };
    
    this.submit = function(widget){
        if (widget.isValid()) {
            General.callRestEngine("/faleConosco/save", "Row", widget.currentRow).then(
                function(){
                    MessageService.showMessageByCode('MSG_SENT_MSG_WITH_SUCCESS');
                    widget.newRow();
                }, function(){
                    MessageService.showMessageByCode('MSG_SENT_MSG_ERROR');
                }
            );
        }
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register('FaleConoscoController', FaleConoscoController);
});